Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.jni.sag
Class Envelope

    java.lang.Object
      com.stc.connector.sagadapter.jni.sag.Envelope

    public class Envelope

extends java.lang.Object

Wrapper class for the SAG C++ Envelope class. It is derived from sagappltypes.hpp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:39 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`Envelope()` Creates a new instance of Envelope
`Envelope(Envelope orig)`

Method Summary
`void` | `free()` Method free.
`java.lang.String` | `getApplicationId()` Method getApplicationId.
`java.lang.String` | `getApplicationStatus()` Method getApplicationStatus.
`java.lang.String` | `getContextId()` Method getContextId.
`java.lang.String` | `getLocalAuth()` Method getLocalAuth.
`java.lang.String` | `getMsgFormat()` Method getMsgFormat.
`java.lang.String` | `getMsgRef()` Method getMsgRef.
`NamedItemList` | `getNamedItemList()` Method getNamedItemList.
`java.lang.String` | `getNormalised()`
`java.lang.String` | `getReceiver()` Method getReceiver.
`java.lang.String` | `getSender()` Method getSender.
`java.lang.String` | `getSenderAuth()` Method getSenderAuth.
`void` | `setApplicationId(java.lang.String value)` Method setApplicationId.
`void` | `setApplicationStatus(java.lang.String value)` Method setApplicationStatus.
`void` | `setContextId(java.lang.String value)` Method setContextId.
`void` | `setLocalAuth(java.lang.String value)` Method setLocalAuth.
`void` | `setMsgFormat(java.lang.String value)` Method setMsgFormat.
`void` | `setReceiver(java.lang.String value)` Method setReceiver.
`void` | `setSender(java.lang.String value)` Method setSender.
`void` | `setSenderAuth(java.lang.String value)` Method setSenderAuth.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Envelope

    public Envelope()

  Creates a new instance of Envelope

### Envelope

    public Envelope(Envelope orig)

Parameters:
  `orig` -

Method Detail

### free

    public void free()

  Method free.

### setApplicationId

    public void setApplicationId(java.lang.String value)

  Method setApplicationId.

  Parameters:
    `value` - String

### setContextId

    public void setContextId(java.lang.String value)

  Method setContextId.

  Parameters:
    `value` - String

### setMsgFormat

    public void setMsgFormat(java.lang.String value)

  Method setMsgFormat.

  Parameters:
    `value` - String

### setSender

    public void setSender(java.lang.String value)

  Method setSender.

  Parameters:
    `value` - String

### setSenderAuth

    public void setSenderAuth(java.lang.String value)

  Method setSenderAuth.

  Parameters:
    `value` - String

### setReceiver

    public void setReceiver(java.lang.String value)

  Method setReceiver.

  Parameters:
    `value` - String

### setLocalAuth

    public void setLocalAuth(java.lang.String value)

  Method setLocalAuth.

  Parameters:
    `value` - String

### setApplicationStatus

    public void setApplicationStatus(java.lang.String value)

  Method setApplicationStatus.

  Parameters:
    `value` - String

### getApplicationId

    public java.lang.String getApplicationId()

  Method getApplicationId.

  Returns:
    String

### getContextId

    public java.lang.String getContextId()

  Method getContextId.

  Returns:
    String

### getMsgFormat

    public java.lang.String getMsgFormat()

  Method getMsgFormat.

  Returns:
    String

### getSender

    public java.lang.String getSender()

  Method getSender.

  Returns:
    String

### getSenderAuth

    public java.lang.String getSenderAuth()

  Method getSenderAuth.

  Returns:
    String

### getReceiver

    public java.lang.String getReceiver()

  Method getReceiver.

  Returns:
    String

### getMsgRef

    public java.lang.String getMsgRef()

  Method getMsgRef.

  Returns:
    String

### getLocalAuth

    public java.lang.String getLocalAuth()

  Method getLocalAuth.

  Returns:
    String

### getApplicationStatus

    public java.lang.String getApplicationStatus()

  Method getApplicationStatus.

  Returns:
    String

### getNamedItemList

    public NamedItemList getNamedItemList()

  Method getNamedItemList.

  Returns:
    NamedItemList

### getNormalised

    public java.lang.String getNormalised()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.